#
# This rpm is based on the git tree from:
# git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# version is date of the younger commit
#

Summary:	Extra linux kernel firmware files
Name:   	kernel-firmware-extra
Version:	20090212
Release:	%manbo_mkrel 2
License:	Proprietary
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-firmware tarball is generated from the git tree mentioned above, 
# by simply cloning it, doing a rm -rf linux-firmware/.git/ 
# and tar -cjvf kernel-firmware-extra-version.tar.bz2 linux-firmware
Source0: 	kernel-firmware-extra-%{version}.tar.bz2
BuildRequires:	kernel-firmware >= 20090111-2mnb2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This package contains extra redistributable etc. firmwares for in-kernel
drivers. It is shared for all kernels.

%prep
%setup -q -n linux-firmware

# don't include firmware already in kernel-firmware package
for fir in `rpm -ql kernel-firmware | grep '^/lib/firmware/' | \
            sed 's|^/lib/firmware/||'`; do
	[ -f "$fir" ] || continue
	rm -f "$fir"
done
for dir in `find . -type d | sed -e 's|^\.||' -e 's|^/||'`; do
	rmdir -p --ignore-fail-on-non-empty $dir
done

# remove files provided in iwlwifi-*-ucode* packages
rm -f LICENCE.iwlwifi_firmware
rm -f iwlwifi-{{3945,4965}-2,5000-1}.ucode

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/LICENCE.*

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENCE.*
/lib/firmware/*


%changelog
* Mon Mar 30 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-2mnb2
+ Revision: 362324
- Firmwares not splitted anymore by license from kernel-firmware package
  (#49195):
  * removed previous conflicts not needed anymore, and now uneeded
    obsoletes.
  * rebuild against kernel-firmware >= 20090111-2mnb2

* Wed Mar 18 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-1mnb2
+ Revision: 357429
- Updated to 20090212

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090120-1mnb2
+ Revision: 341924
- Updated to 20090120

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-2mnb2
+ Revision: 310798
- Rebuild against kernel-firmware-20080922-2mnb2 (to provide all
  non-free firmware here).

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-1mnb2
+ Revision: 310727
- import kernel-firmware-extra


